Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class Scoring

    java.lang.Object
      org.basex.query.ft.Scoring

    public final class Scoring

extends java.lang.Object

Simple default scoring model, assembling all scoring calculations.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`Scoring()`

Method Summary
`double` | `and(double o, double n)` Combines two scoring values.
`double` | `finish(double s)` Creates a final scoring value.
`double` | `or(double o, double n)` Combines two scoring values.
`double` | `step(double s)` Returns a scoring after a location step traversal.
`double` | `word(int tl, double l)` Calculates a score value, based on the token length and complete text length.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scoring

    public Scoring()

Method Detail

### step

    public double step(double s)

  Returns a scoring after a location step traversal.

  Parameters:
    `s` - input value
  Returns:
    result

### word

    public double word(int tl,
                       double l)

  Calculates a score value, based on the token length and complete text length.

  Parameters:
    `tl` - token length
    `l` - complete length
  Returns:
    result

### and

    public double and(double o,
                      double n)

  Combines two scoring values.

  Parameters:
    `o` - old value
    `n` - new value
  Returns:
    result

### or

    public double or(double o,
                     double n)

  Combines two scoring values.

  Parameters:
    `o` - old value
    `n` - new value
  Returns:
    result

### finish

    public double finish(double s)

  Creates a final scoring value.

  Parameters:
    `s` - input value
  Returns:
    result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD